import UPPython
Eigine = UPPython.CRoPythonPointColl()
allCount = Eigine.GetGroupCount()
allPointCOunt=Eigine.GetPointsCount(0)
dx = Eigine.GetPointX(0,allCount-1)
dy = Eigine.GetPointY(0,allCount-1)
dz = Eigine.GetPointZ(0,allCount-1)
VecYX=Eigine.GetPointYVector(0,allCount-1,0)
VecYY=Eigine.GetPointYVector(0,allCount-1,1)
VecYZ=Eigine.GetPointYVector(0,allCount-1,2)
VecZX=Eigine.GetPointZVector(0,allCount-1,0)
VecZY=Eigine.GetPointZVector(0,allCount-1,1)
VecZZ=Eigine.GetPointZVector(0,allCount-1,2)
Eigine.AddPoint(0,allPointCOunt,dx,dy,dz,VecZX,VecZY,VecZZ,VecYX,VecYY,VecYZ)